abstract class AuthState {}

class AuthInitialState extends AuthState {}

class UnauthenticatedState extends AuthState {}

class AuthenticatedState extends AuthState {
  String sessionId;

  AuthenticatedState({required this.sessionId});
}

class AuthFailedState extends AuthState {
  String message;

  AuthFailedState({required this.message});
}
